
CoCoALib - Feature #1652

Add LM to cocoalib ?

26 Jan 2022 16:11 - Florian Walsh

Status: In Progress Start date: 26 Jan 2022

Priority: Low Due date:  

Assignee:  % Done: 10%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.55 hour

Description

To compute the leading monomial of a polynomial in cocoalib I need to call

monomial(owner(f), LC(f), LPP(f));

This seems a bit complicated to me.

Related issues:

Related to CoCoALib - Support #1664: geobucket: documentation New 14 Feb 2022

History

#1 - 27 Jan 2022 11:55 - Anna Maria Bigatti

- Category set to New Function

- % Done changed from 0 to 10

The reason why we do not have LM in cocoalib is that we prefer not to make it handy ;-)

Sounds like a joke, but this function is expensive (creates memory and makes copy), and one might use it in a 1000000-cycle loop as an alternative to

LT or LC (just pointers).

The temptation of writing something like f -LM(f) could be quite high as well.

So we wrote functions like

MoveLMToFront(f,g), MoveLMToBack(f,g), DivLM,

f.myAddMulLM, f.myDeleteLM, ...

to do what we need to do, without useless creating/copying.

Are these covering all plausible needs?  probably not: what do you need?

Are these documented?  ... ehm ... not yet.

#2 - 27 Jan 2022 14:02 - Florian Walsh

That makes sense. I was implementing DivAlg which seems to exist only in a cocoa package.

I should probably use the geobucket functions instead.

The title "geobucket" is a bit obscure in my opinion. I would have never searched in that section of the documentation for reducing polynomials.
#3 - 27 Jan 2022 14:19 - John Abbott

- Target version set to CoCoALib-0.99850

We really need to come up with a way of making the CoCoALib documentation friendlier.

I am reasonably happy with how the CoCoA-5 online manual works, so we could aim to imitate

that (incl putting in keywords).

Exactly how we could make geobuckets more comprehensible is not yet clear to me.

#4 - 27 Jan 2022 19:25 - Anna Maria Bigatti

Florian Walsh wrote:

That makes sense. I was implementing DivAlg which seems to exist only in a cocoa package.

 

I believe I wrote it: certainly I wrote NR, which can be easily generalized.

I'll check tomorrow morning.

#5 - 14 Feb 2022 11:02 - John Abbott

- Related to Support #1664: geobucket: documentation added

#6 - 05 Mar 2022 14:48 - John Abbott

- Status changed from New to In Progress

Any progress to report here?  Also Gereon Kremer is hoping to use DivAlg.

It is surprising that it is (apparently) not implemented in CoCoALib.

Perhaps too much to ask for 0.99800, but may be possible for 0.99801?

It'd be good to have it soon.

#7 - 15 Feb 2024 22:41 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
